@import "app-variables";
@import "app-mixins";
@import "mixins";

.question {
  padding-bottom: 4.2rem;
  position: relative;

  &__content {
    align-items: center;
    display: flex;
    justify-content: space-between;
    margin: 3rem 0;
  }

  &__controls {
    bottom: 0;
    display: none;
    left: 0;
    position: absolute;
    width: 100%;

    &.active {
      display: block;
    }
  }

  @include media-breakpoint-up(sm) {

    &__content {
      margin: 4rem auto;
      width: 80%;  
    }
  }

  @include media-breakpoint-up(md) {
    
    &__content {
      margin: 5rem auto;
    }
  }

  @include media-breakpoint-up(xxl) {
    padding-bottom: 5.4rem;
  }
}

.task {
  line-height: 1;

  &__audio {
    display: inline-block;
    transform: translateY(1rem);
  }
}

.options {
  padding-right: 1rem;

  &.disabled {
    pointer-events: none;
  }

  &__item {
    
    & + & {
      margin-top: .8em;
    }
  }

  @include media-breakpoint-up(md) {
    padding-right: 2rem;
  }
}

.result {
  align-items: center;
  display: flex;
  flex-direction: column;

  &__img-holder {
    position: relative;
    @include square(8rem);
  }

  &__img {
    opacity: 0;
    left: 0;
    position: absolute;
    top: 0;
    transition: opacity .15s linear, transform .4s ease;
    transform: translateY(-50%);
    @include square(100%);

    &.active {
      opacity: 1;
      transform: translateY(0%);
    }
  }

  &__text {
    display: none;
    font-weight: 600;
    margin-top: .5em;

    &.active {
      display: block;
    }
  }

  @include media-breakpoint-up(xxl) {
    
    &__img-holder {
      @include square(12.8rem);
    }
  }
}
